/* MadCap Table Style: */

/*<meta Version="9" />*/

@media PDF_QSG
{
	mcTableStyle
	{
		cell-padding-left: 1pt;
		cell-padding-right: 1pt;
		cell-padding-top: 1pt;
		cell-padding-bottom: 0pt;
	}

	mcTableColumnStyle
	{
		
	}

	mcTableColumnStyle
	{
		
	}

	mcTableHeadStyle
	{
		
	}

	mcTableBodyStyle
	{
		
	}

	mcTableBodyStyle
	{
		
	}

	mcTableFootStyle
	{
		
	}
}

mcTableStyle
{
	name: BorderlessTable;
	border-collapse: collapse;
	cell-padding-left: 2pt;
	cell-padding-right: 2pt;
	cell-padding-top: 2pt;
	cell-padding-bottom: 2pt;
	max-id: 6;
}

mcTableColumnStyle
{
	span: 1;
	name: Column;
	id: 0;
}

mcTableColumnStyle
{
	span: 1;
	id: 4;
	name: Bold;
	type: Manual;
	font-weight: bold;
}

mcTableHeadStyle
{
	span: 1;
	name: Header1;
	id: 2;
}

mcTableBodyStyle
{
	span: 1;
	font-weight: normal;
	name: Row;
	id: 1;
}

mcTableBodyStyle
{
	span: 1;
	id: 6;
	name: Header;
	type: Manual;
	font-weight: bold;
	text-align: center;
}

mcTableFootStyle
{
	span: 1;
	name: Footer1;
	id: 3;
}


/* Cell Styles: */
 
@media PDF_QSG
{
	.TableStyle-BorderlessTable
	{
		border-spacing: 0px 0px;
	}

	.TableStyle-BorderlessTable-HeadI-Column-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-HeadE-Column-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-HeadF-Column-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-HeadH-Column-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-HeadD-Column-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-HeadC-Column-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-HeadB-Column-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-HeadA-Column-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-HeadG-Column-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-HeadI-Bold-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-HeadE-Bold-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-HeadF-Bold-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-HeadH-Bold-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-HeadD-Bold-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-HeadC-Bold-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-HeadB-Bold-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-HeadA-Bold-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-HeadG-Bold-Header1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootI-Column-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootE-Column-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootF-Column-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootH-Column-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootD-Column-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootC-Column-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootB-Column-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootA-Column-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootG-Column-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootI-Bold-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootE-Bold-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootF-Bold-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootH-Bold-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootD-Bold-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootC-Bold-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootB-Bold-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootA-Bold-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-FootG-Bold-Footer1
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyI-Column-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyE-Column-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyF-Column-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyH-Column-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyD-Column-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyC-Column-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyB-Column-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyA-Column-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyG-Column-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyI-Bold-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyE-Bold-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyF-Bold-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyH-Bold-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyD-Bold-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyC-Bold-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyB-Bold-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyA-Bold-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyG-Bold-Row
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyI-Column-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyE-Column-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyF-Column-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyH-Column-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyD-Column-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyC-Column-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyB-Column-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyA-Column-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyG-Column-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyI-Bold-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyE-Bold-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyF-Bold-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyH-Bold-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyD-Bold-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyC-Bold-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyB-Bold-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyA-Bold-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}

	.TableStyle-BorderlessTable-BodyG-Bold-Header
	{
		padding-left: 1pt;
		padding-right: 1pt;
		padding-top: 1pt;
		padding-bottom: 0pt;
	}
}

.TableStyle-BorderlessTable
{
	border-collapse: collapse;
	border-spacing: 0px 0px;
}

.TableStyle-BorderlessTable-Column-Column
{
	
}

.TableStyle-BorderlessTable-Column-Bold
{
	
}

.TableStyle-BorderlessTable-Head-Header1
{
	
}

.TableStyle-BorderlessTable-HeadI-Column-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-HeadI-Column-Header1 p
{
	
}

.TableStyle-BorderlessTable-HeadE-Column-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-HeadE-Column-Header1 p
{
	
}

.TableStyle-BorderlessTable-HeadF-Column-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-HeadF-Column-Header1 p
{
	
}

.TableStyle-BorderlessTable-HeadH-Column-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-HeadH-Column-Header1 p
{
	
}

.TableStyle-BorderlessTable-HeadD-Column-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-HeadD-Column-Header1 p
{
	
}

.TableStyle-BorderlessTable-HeadC-Column-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-HeadC-Column-Header1 p
{
	
}

.TableStyle-BorderlessTable-HeadB-Column-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-HeadB-Column-Header1 p
{
	
}

.TableStyle-BorderlessTable-HeadA-Column-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-HeadA-Column-Header1 p
{
	
}

.TableStyle-BorderlessTable-HeadG-Column-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-HeadG-Column-Header1 p
{
	
}

.TableStyle-BorderlessTable-HeadI-Bold-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-HeadI-Bold-Header1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-HeadE-Bold-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-HeadE-Bold-Header1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-HeadF-Bold-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-HeadF-Bold-Header1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-HeadH-Bold-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-HeadH-Bold-Header1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-HeadD-Bold-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-HeadD-Bold-Header1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-HeadC-Bold-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-HeadC-Bold-Header1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-HeadB-Bold-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-HeadB-Bold-Header1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-HeadA-Bold-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-HeadA-Bold-Header1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-HeadG-Bold-Header1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-HeadG-Bold-Header1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-Foot-Footer1
{
	
}

.TableStyle-BorderlessTable-FootI-Column-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-FootI-Column-Footer1 p
{
	
}

.TableStyle-BorderlessTable-FootE-Column-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-FootE-Column-Footer1 p
{
	
}

.TableStyle-BorderlessTable-FootF-Column-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-FootF-Column-Footer1 p
{
	
}

.TableStyle-BorderlessTable-FootH-Column-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-FootH-Column-Footer1 p
{
	
}

.TableStyle-BorderlessTable-FootD-Column-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-FootD-Column-Footer1 p
{
	
}

.TableStyle-BorderlessTable-FootC-Column-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-FootC-Column-Footer1 p
{
	
}

.TableStyle-BorderlessTable-FootB-Column-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-FootB-Column-Footer1 p
{
	
}

.TableStyle-BorderlessTable-FootA-Column-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-FootA-Column-Footer1 p
{
	
}

.TableStyle-BorderlessTable-FootG-Column-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle-BorderlessTable-FootG-Column-Footer1 p
{
	
}

.TableStyle-BorderlessTable-FootI-Bold-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-FootI-Bold-Footer1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-FootE-Bold-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-FootE-Bold-Footer1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-FootF-Bold-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-FootF-Bold-Footer1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-FootH-Bold-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-FootH-Bold-Footer1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-FootD-Bold-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-FootD-Bold-Footer1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-FootC-Bold-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-FootC-Bold-Footer1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-FootB-Bold-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-FootB-Bold-Footer1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-FootA-Bold-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-FootA-Bold-Footer1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-FootG-Bold-Footer1
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-FootG-Bold-Footer1 p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-Body-Row
{
	
}

.TableStyle-BorderlessTable-BodyI-Column-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyI-Column-Row p
{
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyE-Column-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyE-Column-Row p
{
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyF-Column-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyF-Column-Row p
{
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyH-Column-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyH-Column-Row p
{
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyD-Column-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyD-Column-Row p
{
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyC-Column-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyC-Column-Row p
{
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyB-Column-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyB-Column-Row p
{
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyA-Column-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyA-Column-Row p
{
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyG-Column-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyG-Column-Row p
{
	font-weight: normal;
}

.TableStyle-BorderlessTable-BodyI-Bold-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyI-Bold-Row p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyE-Bold-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyE-Bold-Row p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyF-Bold-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyF-Bold-Row p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyH-Bold-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyH-Bold-Row p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyD-Bold-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyD-Bold-Row p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyC-Bold-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyC-Bold-Row p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyB-Bold-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyB-Bold-Row p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyA-Bold-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyA-Bold-Row p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyG-Bold-Row
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyG-Bold-Row p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-Body-Header
{
	
}

.TableStyle-BorderlessTable-BodyI-Column-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
}

.TableStyle-BorderlessTable-BodyI-Column-Header p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyE-Column-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
}

.TableStyle-BorderlessTable-BodyE-Column-Header p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyF-Column-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
}

.TableStyle-BorderlessTable-BodyF-Column-Header p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyH-Column-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
}

.TableStyle-BorderlessTable-BodyH-Column-Header p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyD-Column-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
}

.TableStyle-BorderlessTable-BodyD-Column-Header p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyC-Column-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
}

.TableStyle-BorderlessTable-BodyC-Column-Header p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyB-Column-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
}

.TableStyle-BorderlessTable-BodyB-Column-Header p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyA-Column-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
}

.TableStyle-BorderlessTable-BodyA-Column-Header p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyG-Column-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
}

.TableStyle-BorderlessTable-BodyG-Column-Header p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyI-Bold-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: center;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyI-Bold-Header p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyE-Bold-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: center;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyE-Bold-Header p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyF-Bold-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: center;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyF-Bold-Header p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyH-Bold-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: center;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyH-Bold-Header p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyD-Bold-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: center;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyD-Bold-Header p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyC-Bold-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: center;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyC-Bold-Header p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyB-Bold-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: center;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyB-Bold-Header p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyA-Bold-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: center;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyA-Bold-Header p
{
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyG-Bold-Header
{
	padding-left: 2pt;
	padding-right: 2pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: center;
	font-weight: bold;
}

.TableStyle-BorderlessTable-BodyG-Bold-Header p
{
	font-weight: bold;
}


